// fix ember power select dropdown behind a modal
.ember-power-select-dropdown {
  z-index: $zindex-modal;
}

.ember-power-select-trigger {
  border: $input-border-width solid $input-border-color;
  height: $input-height;
  scrollbar-width: none;
  transition: $input-transition;
}

.ember-power-select-selected-item,
.ember-power-select-placeholder {
  line-height: $input-height-inner;
}

.ember-power-select-trigger:focus,
.ember-power-select-trigger--active,
.ember-power-select-search-input:focus {
  border-color: $input-focus-border-color;
  box-shadow: none;
}

// Dark mode
.dark-mode .ember-power-select-trigger,
.dark-mode .ember-power-select-dropdown,
.dark-mode .ember-power-select-search-input {
  background-color: $dark;
  border-color: $gray-600;
  color: $white;
}

.dark-mode .ember-power-select-trigger:focus,
.dark-mode .ember-power-select-trigger--active,
.dark-mode .ember-power-select-search-input:focus {
  border-color: $input-focus-border-color;
}

.dark-mode .ember-power-select-option[aria-current='true'],
.dark-mode .ember-power-select-option[aria-selected='true'] {
  background-color: lighten($dark, 5%);
  border-color: $gray-600;
  color: $gray-300;
}
